Bug 179545 - update dns/dnscrypt-proxy to 1.3.1
Summary: update dns/dnscrypt-proxy to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-14 04:20 UTC by csosstudy
Modified: 2013-06-27 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.14 KB, patch)
2013-06-14 04:20 UTC, csosstudy
no flags Details | Diff
dnscrypt-proxy.diff.txt (1.62 KB, text/plain; charset=us-ascii)
2013-06-22 20:14 UTC, Leo Vandewoestijne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description csosstudy 2013-06-14 04:20:00 UTC
update dnscrypt-proxy to 1.3.1
add libsodium to LIB_DEPENDS
Comment 1 Edwin Groothuis freebsd_committer 2013-06-17 00:44:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-17 00:44:32 UTC
Maintainer of dns/dnscrypt-proxy,

Please note that PR ports/179545 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179545

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 John Marino 2013-06-18 08:15:06 UTC
FYI, version 1.2.1 doesn't fetch anymore so this update is required for 
other reasons.  Apparently upstream removed the tarball because the 
MASTER_SITES is valid.

===>   dnscrypt-proxy-1.2.1 depends on file: /usr/local/sbin/pkg - found
=> dnscrypt-proxy-1.2.1.tar.gz doesn't seem to exist in /usr/distfiles/.
=> Attempting to fetch 
http://download.dnscrypt.org/dnscrypt-proxy/dnscrypt-proxy-1.2.1.tar.gz
fetch: 
http://download.dnscrypt.org/dnscrypt-proxy/dnscrypt-proxy-1.2.1.tar.gz: 
Not Found
=> Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/dnscrypt-proxy-1.2.1.tar.gz
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/dnscrypt-proxy-1.2.1.tar.gz: 
File unavailable (e.g., file not found, no access)
Comment 4 Leo Vandewoestijne 2013-06-22 20:14:14 UTC
Hi,


Thanks for your reports.

Jyst in case you need 1.2.1;
it's still at http://dns-lab.com/downloads/dnscrypt-proxy/
But yes, somewehere it was removed from MASTER_SITES.

So, to have two locations, here is my update to 1.3.1



Leo
Comment 5 Niclas Zeising freebsd_committer 2013-06-23 10:54:10 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2013-06-27 06:28:56 UTC
Author: ak
Date: Thu Jun 27 05:28:47 2013
New Revision: 321849
URL: http://svnweb.freebsd.org/changeset/ports/321849

Log:
  - Update to 1.3.1
  
  PR:	ports/179545
  Submitted by: csosstudy <csosstudy@gmail.com> (first version), freebsd@dns-lab.com (maintainer)

Modified:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo

Modified: head/dns/dnscrypt-proxy/Makefile
==============================================================================
--- head/dns/dnscrypt-proxy/Makefile	Thu Jun 27 05:16:59 2013	(r321848)
+++ head/dns/dnscrypt-proxy/Makefile	Thu Jun 27 05:28:47 2013	(r321849)
@@ -2,14 +2,16 @@
 # $FreeBSD$
 
 PORTNAME=	dnscrypt-proxy
-PORTVERSION=	1.2.1
+PORTVERSION=	1.3.1
 CATEGORIES=	dns
-MASTER_SITES=	http://download.dnscrypt.org/dnscrypt-proxy/
+MASTER_SITES=	http://download.dnscrypt.org/dnscrypt-proxy/ \
+		http://www.dns-lab.com/downloads/dnscrypt-proxy/
 
 MAINTAINER=	freebsd@dns-lab.com
 COMMENT=	Boost privacy and security of DNS
 
-LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
+		sodium:${PORTSDIR}/security/libsodium
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
@@ -20,8 +22,9 @@ USE_RC_SUBR=	${PORTNAME}
 
 MAN8=		dnscrypt-proxy.8 hostip.8
 
-PORTDOCS=	AUTHORS ChangeLog COPYING INSTALL NEWS \
-		README README.markdown TECHNOTES THANKS
+PORTDOCS=	AUTHORS COPYING ChangeLog INSTALL NEWS README \
+		README-PLUGINS.markdown README-WINDOWS.markdown \
+		README.markdown TECHNOTES THANKS
 
 .include <bsd.port.options.mk>
 

Modified: head/dns/dnscrypt-proxy/distinfo
==============================================================================
--- head/dns/dnscrypt-proxy/distinfo	Thu Jun 27 05:16:59 2013	(r321848)
+++ head/dns/dnscrypt-proxy/distinfo	Thu Jun 27 05:28:47 2013	(r321849)
@@ -1,2 +1,2 @@
-SHA256 (dnscrypt-proxy-1.2.1.tar.gz) = 41ae6a57dd4b84b877f7736ded992e064f8f32b1446c6a3dacaeaaa6f800eca3
-SIZE (dnscrypt-proxy-1.2.1.tar.gz) = 1672937
+SHA256 (dnscrypt-proxy-1.3.1.tar.gz) = 9b590fd8963f401b38c1fdc1157327f8f6d31c4fe2036c433d7088e7788b6592
+SIZE (dnscrypt-proxy-1.3.1.tar.gz) = 1567229
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Alex Kozlov freebsd_committer 2013-06-27 07:00:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 8 Alex Kozlov freebsd_committer 2013-06-27 07:00:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!